# Uses of Interface
org.xnio.XnioExecutor.Key

Packages that use XnioExecutor.Key
Package
Description
org.xnio
The main API package for XNIO.

## Uses of XnioExecutor.Key in org.xnio

Fields in org.xnio declared as XnioExecutor.Key
Modifier and Type
Field
Description
`static final XnioExecutor.Key`
XnioExecutor.Key.`IMMEDIATE`
An immediate key.
Methods in org.xnio that return XnioExecutor.Key
Modifier and Type
Method
Description
`XnioExecutor.Key`
XnioExecutor.`executeAfter(Runnable command, long time, TimeUnit unit)`
Execute a command after a period of time.
`XnioExecutor.Key`
XnioExecutor.`executeAtInterval(Runnable command, long time, TimeUnit unit)`
Execute a command repeatedly at a time interval until it is cancelled.